Bug 549863 - Review Request: plexus-interpolation - Plexus Interpolation API
Review Request: plexus-interpolation - Plexus Interpolation API
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-22 15:34 EST by Alexander Kurtakov
Modified: 2009-12-28 02:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-28 02:58:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
overholt: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2009-12-22 15:34:52 EST
Spec URL: http://akurtakov.fedorapeople.org/plexus-interpolation.spec
SRPM URL: http://akurtakov.fedorapeople.org/plexus-interpolation-1.13-1.fc12.src.rpm
Description: Plexus interpolator is the outgrowth of multiple iterations of development focused on
providing a more modular, flexible interpolation framework for the expression language
style commonly seen in Maven, Plexus, and other related projects.
Comment 1 Andrew Overholt 2009-12-22 16:43:16 EST
Good:
- builds
- source good (no diffs in my checkout vs. yours packed in the tarball)
- macros fine
- no pre-build JARs
- files fine
- clean present

Needs work:

- line length too long for %description
- should probably get some %doc files
- license should be ASL 2.0 and ASL 1.1 and MIT
- rpmlint output is not clean:

$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/plexus-interpolation-1.13-1.fc12.noarch.rpm
plexus-interpolation.noarch: E: description-line-too-long Plexus interpolator is the outgrowth of multiple iterations of development focused on
plexus-interpolation.noarch: E: description-line-too-long providing a more modular, flexible interpolation framework for the expression language
plexus-interpolation.noarch: W: incoherent-version-in-changelog 1.8-1 ['1.13-1.fc12', '1.13-1']
plexus-interpolation.noarch: W: no-documentation
plexus-interpolation.noarch: W: non-conffile-in-etc /etc/maven/fragments/plexus-interpolation
1 packages and 0 specfiles checked; 2 errors, 3 warnings.
$ rpmlint /home/overholt/rpmbuild/SRPMS/plexus-interpolation-1.13-1.fc12.src.rpm
plexus-interpolation.src: E: description-line-too-long Plexus interpolator is the outgrowth of multiple iterations of development focused on
plexus-interpolation.src: E: description-line-too-long providing a more modular, flexible interpolation framework for the expression language
1 packages and 0 specfiles checked; 2 errors, 0 warnings.
$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/plexus-interpolation-javadoc-1.13-1.fc12.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Alexander Kurtakov 2009-12-22 16:58:40 EST
(In reply to comment #1)
> Good:
> - builds
> - source good (no diffs in my checkout vs. yours packed in the tarball)
> - macros fine
> - no pre-build JARs
> - files fine
> - clean present
> 
> Needs work:
> 
> - line length too long for %description
Fixed.
> - should probably get some %doc files
There is nothing suitable.
> - license should be ASL 2.0 and ASL 1.1 and MIT
Fixed.

> - rpmlint output is not clean:
> 
Output now is but both are fase positives.:
plexus-interpolation.noarch: W: no-documentation
plexus-interpolation.noarch: W: non-conffile-in-etc /etc/maven/fragments/plexus-interpolation

New sources:
Spec URL: http://akurtakov.fedorapeople.org/plexus-interpolation.spec
SRPM URL:
http://akurtakov.fedorapeople.org/plexus-interpolation-1.13-2.fc12.src.rpm
Comment 3 Andrew Overholt 2009-12-22 17:48:43 EST
Okay, thanks for the fixes.  Approved.
Comment 4 Alexander Kurtakov 2009-12-23 03:51:16 EST
New Package CVS Request
=======================
Package Name: plexus-interpolation
Short Description: Plexus Interpolation API
Owners: akurtakov
Branches: 
InitialCC:
Comment 5 Dennis Gilmore 2009-12-23 14:39:18 EST
CVS Done
Comment 6 Alexander Kurtakov 2009-12-28 02:58:36 EST
Built in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=148398

Note You need to log in before you can comment on or make changes to this bug.